package model

import (
	"time"
)

type AppletApplicationAdSpaceList struct {
	Id       int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Name     string    `json:"name" xorm:"default '' comment('广告位名称') VARCHAR(255)"`
	AppId    string    `json:"app_id" xorm:"not null default '' comment('小程序appid') VARCHAR(255)"`
	Kind     int       `json:"kind" xorm:"not null default 1 comment('广告位类型(1:开屏广告 2:插屏广告 3:激励视频 4:信息流 5:Banner)') TINYINT(1)"`
	State    int       `json:"state" xorm:"not null default 0 comment('状态(0:待审核 1:审核通过 2:审核拒绝 3:封禁中)') TINYINT(1)"`
	CreateAt time.Time `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	Update   time.Time `json:"update" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
